Package com.ads.api.beans.common

# Enum Class APIConstants.PropertiesType

java.lang.Object
java.lang.Enum<APIConstants.PropertiesType>
com.ads.api.beans.common.APIConstants.PropertiesType

All Implemented Interfaces:
  `Serializable`, `Comparable<APIConstants.PropertiesType>`, `Constable`

Enclosing class:
  APIConstants

public static enum APIConstants.PropertiesType extends Enum<APIConstants.PropertiesType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BUSINESS`
  BUSINESS - Refers to Business Properties of a column in Lineage / Mapping Row.
  `NONE`
  NONE - Default NONE to get only column details.
  `TECHNICAL`
  TECHNICAL - Refers to Technical Properties of a column in Lineage / Mapping Row.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static APIConstants.PropertiesType`
  `getPropertiesType(String value)`
  `static APIConstants.PropertiesType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static APIConstants.PropertiesType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TECHNICAL

    public static final APIConstants.PropertiesType TECHNICAL
    TECHNICAL - Refers to Technical Properties of a column in Lineage / Mapping Row.

  - ### BUSINESS

    public static final APIConstants.PropertiesType BUSINESS
    BUSINESS - Refers to Business Properties of a column in Lineage / Mapping Row.

  - ### NONE

    public static final APIConstants.PropertiesType NONE
    NONE - Default NONE to get only column details.

- ## Method Details

  - ### values

    public static APIConstants.PropertiesType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static APIConstants.PropertiesType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getPropertiesType

    public static APIConstants.PropertiesType getPropertiesType(String value)